using System;

namespace drustvena_clanarina
{
   class Program
   {
      public static void Main(string[] args)
      {

         Console.Write("OPIS NALOGE: Izračun društvene članarine\n\n");

         // Spremenljivka
         double clanarina;
         double skupna_clanarina = 0;

         // Vnos začetnih podatkov
         Console.Write("Vpišite trenutno leto: ");
         int leto = int.Parse(Console.ReadLine());

         Console.Write("Vpišite število članov društva: ");
         int st_clanov = int.Parse(Console.ReadLine());

         // Generiranje treh tabel s podatki
         string[] clani = new string[st_clanov];
         int[] leto_vclanjenja = new int[st_clanov];
         int[] leto_priznanja = new int[st_clanov];

         // Vpis podatkov v tabele
         for (int i = 0; i < st_clanov ; i++ ) {
            Console.Write("\nVpišite ime in priimek: ");
            clani[i] = Console.ReadLine();
            Console.Write("Vpišite leto včlanjenja: ");
            leto_vclanjenja[i] = int.Parse(Console.ReadLine());
            Console.Write("Vpišite leto prejema priznanja (0, če ga ni dobil): ");
            leto_priznanja[i] = int.Parse(Console.ReadLine());
         }

         // Izračun članarine in izpis podatkov
         for (int i = 0; i < st_clanov ; i++ ) {
            clanarina = 10 - ((leto - leto_vclanjenja[i]) * 0.05);
               if ((leto - leto_priznanja[i]) <= 10) {
                  clanarina = clanarina * 0.5;
               }
            clanarina = Math.Round(clanarina,1);
            Console.WriteLine(clani[i] + " ima članarino " + clanarina + " EUR");
            skupna_clanarina = skupna_clanarina + clanarina;
         }
         Console.WriteLine("\nKončni znesek pobrane članarine mora biti " + skupna_clanarina + " EUR.");

         Console.Write("\n\n\nZa nadaljevanje pritisnite katerokoli tipko . . . ");
         Console.ReadKey(true);
      }
   }
}